// Modeless_mfcView.h : interface of the CModeless_mfcView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MODELESS_MFCVIEW_H__6B7CDE6B_AB4A_11D3_9EFD_080009EE62AA__INCLUDED_)
#define AFX_MODELESS_MFCVIEW_H__6B7CDE6B_AB4A_11D3_9EFD_080009EE62AA__INCLUDED_

#include "MessageDlg.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CModeless_mfcView : public CView
{
protected: // create from serialization only
	CModeless_mfcView();
	DECLARE_DYNCREATE(CModeless_mfcView)

// Attributes
public:
	CModeless_mfcDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CModeless_mfcView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	CMessageDlg m_MessageDlg;
	virtual ~CModeless_mfcView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CModeless_mfcView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Modeless_mfcView.cpp
inline CModeless_mfcDoc* CModeless_mfcView::GetDocument()
   { return (CModeless_mfcDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MODELESS_MFCVIEW_H__6B7CDE6B_AB4A_11D3_9EFD_080009EE62AA__INCLUDED_)
